CocoaSpinbox Class Reference

`#include <CocoaSpinbox.h>`

Inheritance diagram for CocoaSpinbox:

## Instance Methods

(NSInteger) | - integerValue
(BOOL) | - isEnabled
(BOOL) | - isFirstResponder
(void) | - makeFirstResponder
(NSInteger) | - maxValue
(NSSize) | - minSize
(NSInteger) | - minValue
(void) | - setC_ActionPtr:Data:
(void) | - setEnabled:
(void) | - setIntegerValue:
(void) | - setMaxValue:
(void) | - setMinValue:
(void) | - setStringValue:
(NSString *) | - stringValue

## Protected Attributes

void * | c_actionData
gwenSpinBoxActionPtr | c_actionPtr
BOOL | fillX
BOOL | fillY
NSInteger | maxValue
NSInteger | minValue
CGFloat | minWidth
NSStepper * | stepper
NSTextField * | textfield

## Detailed Description

Definition at line 19 of file CocoaSpinbox.h.

## Method Documentation

## integerValue

- (NSInteger) integerValue |  |  |

Referenced by setIntegerValue:.

## isEnabled

- (BOOL) isEnabled |  |  |

Referenced by setEnabled:.

## isFirstResponder

- (BOOL) isFirstResponder |  |  |

Referenced by makeFirstResponder.

## makeFirstResponder

- (void) makeFirstResponder |  |  |

References isFirstResponder.

Referenced by setC_ActionPtr:Data:.

## maxValue

- (NSInteger) maxValue |  |  |

## minSize

- (NSSize) minSize |  |  |

References minSize.

Referenced by minSize.

## minValue

- (NSInteger) minValue |  |  |

## setC_ActionPtr:Data:

- (void) setC_ActionPtr: |  | (gwenSpinBoxActionPtr) | ptr
Data: |  | (void *) | data

References makeFirstResponder.

## setEnabled:

- (void) setEnabled: |  | (BOOL) | value |

References isEnabled.

## setIntegerValue:

- (void) setIntegerValue: |  | (NSInteger) | new_value |

References integerValue.

## setMaxValue:

- (void) setMaxValue: |  | (NSInteger) | new_max_value |

References maxValue.

## setMinValue:

- (void) setMinValue: |  | (NSInteger) | new_min_value |

References minValue.

## setStringValue:

- (void) setStringValue: |  | (NSString *) | aString |

References stringValue.

## stringValue

- (NSString *) stringValue |  |  |

Referenced by setStringValue:.

## Field Documentation

## c_actionData

- (void*) c_actionData

protected

Definition at line 34 of file CocoaSpinbox.h.

## c_actionPtr

- (gwenSpinBoxActionPtr) c_actionPtr

protected

Definition at line 33 of file CocoaSpinbox.h.

## fillX

- (BOOL) fillX

read write protected

Definition at line 27 of file CocoaSpinbox.h.

## fillY

- (BOOL) fillY

read write protected

Definition at line 28 of file CocoaSpinbox.h.

## maxValue

- (NSInteger) maxValue

protected

Definition at line 31 of file CocoaSpinbox.h.

Referenced by setMaxValue:.

## minValue

- (NSInteger) minValue

protected

Definition at line 30 of file CocoaSpinbox.h.

Referenced by setMinValue:.

## minWidth

- (CGFloat) minWidth

protected

Definition at line 25 of file CocoaSpinbox.h.

## stepper

- (NSStepper*) stepper

protected

Definition at line 22 of file CocoaSpinbox.h.

## textfield

- (NSTextField*) textfield

protected

Definition at line 23 of file CocoaSpinbox.h.

The documentation for this class was generated from the following file:

- CocoaSpinbox.h